Bug 521437 - setroubleshoot: SELinux is preventing sealert (setroubleshoot_fixit_t) "search" rpm_var_lib_t.
Summary: setroubleshoot: SELinux is preventing sealert (setroubleshoot_fixit_t) "...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:d5dd50e9850...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-05 21:59 UTC by STEVEN WARD
Modified: 2009-09-06 19:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-06 19:51:06 UTC


Attachments (Terms of Use)

Description STEVEN WARD 2009-09-05 21:59:22 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing sealert (setroubleshoot_fixit_t) "search" rpm_var_lib_t.

Detailed Description:

[sealert has a permissive type (setroubleshoot_fixit_t). This access was not
denied.]

SELinux denied access requested by sealert. It is not expected that this access
is required by sealert and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.
                              c1023
Target Context                system_u:object_r:rpm_var_lib_t:s0
Target Objects                /var/lib/rpm [ dir ]
Source                        sealert
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-1.fc12
Target RPM Packages           rpm-4.7.1-4.fc12
Policy RPM                    selinux-policy-3.6.28-4.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-0.167.rc6.git6.fc12.i686 #1
                              SMP Thu Aug 20 21:27:51 EDT 2009 i686 athlon
Alert Count                   1
First Seen                    Sun 23 Aug 2009 10:43:47 PM BST
Last Seen                     Sun 23 Aug 2009 10:43:47 PM BST
Local ID                      ed25eb0b-f08b-40e0-8627-f83331b9fef7
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1251063827.164:19225): avc:  denied  { search } for  pid=18570 comm="sealert" name="rpm" dev=dm-0 ino=173 scontext=system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:rpm_var_lib_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1251063827.164:19225): arch=40000003 syscall=33 success=yes exit=0 a0=9344128 a1=0 a2=4470780 a3=8fb1968 items=0 ppid=18569 pid=18570 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="sealert" exe="/usr/bin/python" subj=system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= setroubleshoot_fixit_t ==============
allow setroubleshoot_fixit_t rpm_var_lib_t:dir search;

Comment 1 Daniel Walsh 2009-09-06 19:51:06 UTC
Fixed in selinux-policy-3.6.30-4.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.